﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using WeifenLuo.WinFormsUI.Docking;
using System.IO;

namespace DockPanelSample
{
    public partial class FormMain : Form
    {
        private FormChild formChild1;
        private FormChild formChild2;
        private FormChild formChild3;
        private FormChild formChild4;

        public FormMain()
        {
            InitializeComponent();
            InitializeMyComponent();
        }

        private void InitializeMyComponent()
        {
            formChild1 = new FormChild();
            formChild2 = new FormChild();
            formChild3 = new FormChild();
            formChild4 = new FormChild();

            formChild1.TabText = "Child1";
            formChild2.TabText = "Child2";
            formChild3.TabText = "Child3";
            formChild4.TabText = "Child4";
        }

        private void toolStripButton1_Click(object sender, EventArgs e)
        {
            formChild1.Show(dockPanelMain);
        }

        private void toolStripButton2_Click(object sender, EventArgs e)
        {
            formChild2.Show(dockPanelMain);
        }

        private void toolStripButton3_Click(object sender, EventArgs e)
        {
            formChild3.Show(dockPanelMain);
        }

        private void toolStripButton4_Click(object sender, EventArgs e)
        {
            formChild4.Show(dockPanelMain);
        }
    }
}
